using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Recurit.Exam.Service.Migrations
{
    /// <inheritdoc />
    public partial class updatetablebaseaddIsActive : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "ScoreImports",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "PositionExams",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "PeriodExamImages",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "PeriodExamDocuments",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "Educations",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "DisableScores",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "Disables",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "DisablePayments",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "DisableOccupations",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "DisableImportHistories",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "DisableEducations",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "DisableDocuments",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "DisableCertificates",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "DisableAddresses",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "CMSGovernments",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "CMSCandidates",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "CMSAgencys",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "Careers",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "Candidates",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "CandidateDocuments",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);

            migrationBuilder.AddColumn<bool>(
                name: "IsActive",
                table: "BankExams",
                type: "tinyint(1)",
                nullable: false,
                defaultValue: false,
                comment: "สถานะการใช้งาน")
                .Annotation("Relational:ColumnOrder", 106);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "ScoreImports");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "PositionExams");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "PeriodExamImages");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "PeriodExamDocuments");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "Educations");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "DisableScores");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "Disables");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "DisablePayments");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "DisableOccupations");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "DisableImportHistories");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "DisableEducations");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "DisableDocuments");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "DisableCertificates");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "DisableAddresses");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "CMSGovernments");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "CMSCandidates");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "CMSAgencys");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "Careers");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "CandidateDocuments");

            migrationBuilder.DropColumn(
                name: "IsActive",
                table: "BankExams");
        }
    }
}
